uniform vec4 FogColor;
uniform float FogEnd;
uniform float FogScale;

uniform vec3 MaterialEmit;
uniform float MaterialOpacity;

uniform sampler2D Texture[8];

varying vec3 position, normal;


void main(void)
{
	vec3 diffuse = MaterialEmit;
	vec3 N = normalize(normal);

	vec4 reflect = texture2D(Texture[0], 0.5 + N.xy*0.5);

	vec4 finalColor = vec4(diffuse.x+ reflect.x, diffuse.y+ reflect.y, diffuse.z+reflect.z, MaterialOpacity);
	float fogFactor = clamp((FogEnd + position.z) * FogScale, 0.0, 1.0);
	gl_FragColor = mix(FogColor, finalColor, fogFactor);
}
